PUT Contact/{id}
Some tooltip text!
• 17 minutes to read
• 17 minutes to read
PUT /api/v1/Contact/{id}
Updates the existing ContactEntity
NsApiSlow threshold: 2000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The ContactEntity id to update. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
PUT /api/v1/Contact/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The ContactEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer | Primary key |
| Name | String | Contact name |
| Department | String | Department |
| OrgNr | String | VAT number or similar |
| Number1 | String | Alphanumeric user field |
| Number2 | String | Alphanumeric user field |
| UpdatedDate | String | Date last updated in UTC. |
| CreatedDate | String | Date registered in UTC. |
| Emails | Array | The contact's email |
| Interests | Array | The contact's available and selected interests. |
| Urls | Array | The contact's internet adresses |
| Phones | Array | The contact's phone numbers |
| Faxes | Array | The contact's fax numbers |
| Description | String | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. |
| Persons | Array | The persons belonging to the contact. |
| NoMailing | Boolean | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | String | Contact kana name, used in Japanese versions only |
| Xstop | Boolean | STOP flag |
| ActiveInterests | Integer | The number of active interests. |
| GroupId | Integer | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | Integer | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiLastSyncronized | String | Last external syncronization. |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. |
| Source | Integer | How did we get this contact? For future integration needs |
| ActiveErpLinks | Integer | The number of active erp links |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| Domains | Array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and |
Response:
ContactEntity updated.
| Response | Description |
|---|---|
| 200 | ContactEntity updated. |
| 412 | Update stopped because ContactEntity has changed since the requested If-Unmodified-Since timestamp. |
| 400 | Bad request. Entity to save is not in request body. |
Response body: ContactEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
PUT /api/v1/Contact/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactId": 763,
"Name": "Block Group",
"Department": "",
"OrgNr": "898086",
"Number1": "883621",
"Number2": "1255613",
"UpdatedDate": "2003-10-01T14:34:01.7525885+02:00",
"CreatedDate": "2023-07-16T14:34:01.7525885+02:00",
"Emails": [
{
"Value": "dolorem",
"StrippedValue": "tempore",
"Description": "Compatible empowering productivity"
},
{
"Value": "dolorem",
"StrippedValue": "tempore",
"Description": "Compatible empowering productivity"
}
],
"Interests": [
{
"Id": 904,
"Name": "Wiegand, Purdy and Hills",
"ToolTip": "Impedit asperiores quis in.",
"Deleted": false,
"Rank": 545,
"Type": "omnis",
"ColorBlock": 501,
"IconHint": "sed",
"Selected": true,
"LastChanged": "1998-08-07T14:34:01.7525885+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "error",
"StyleHint": "aut",
"Hidden": false,
"FullName": "Faustino Greenholt"
}
],
"Urls": [
{
"Value": "voluptate",
"StrippedValue": "aut",
"Description": "Persevering reciprocal definition"
},
{
"Value": "voluptate",
"StrippedValue": "aut",
"Description": "Persevering reciprocal definition"
}
],
"Phones": [
{
"Value": "architecto",
"StrippedValue": "itaque",
"Description": "Team-oriented value-added algorithm"
},
{
"Value": "architecto",
"StrippedValue": "itaque",
"Description": "Team-oriented value-added algorithm"
}
],
"Faxes": [
{
"Value": "est",
"StrippedValue": "suscipit",
"Description": "Business-focused human-resource emulation"
},
{
"Value": "est",
"StrippedValue": "suscipit",
"Description": "Business-focused human-resource emulation"
}
],
"Description": "Adaptive optimal circuit",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "unde",
"PersonId": 420,
"Mrmrs": "soluta",
"Firstname": "Carissa",
"Lastname": "Tremblay",
"MiddleName": "Gulgowski-Feil",
"Title": "dolor",
"Description": "Ergonomic systemic firmware",
"Email": "eloisa@williamson.info",
"FullName": "Prof. Salma Shyann Rau",
"DirectPhone": "1-889-049-8201 x3156",
"FormalName": "Orn-Hills",
"CountryId": 966,
"ContactId": 339,
"ContactName": "Spencer-Kautzer",
"Retired": 503,
"Rank": 328,
"ActiveInterests": 844,
"ContactDepartment": "",
"ContactCountryId": 936,
"ContactOrgNr": "871306",
"FaxPhone": "339-868-1974 x557",
"MobilePhone": "760.231.2045 x838",
"ContactPhone": "1-102-775-8877 x9993",
"AssociateName": "Lehner-Dare",
"AssociateId": 409,
"UsePersonAddress": false,
"ContactFax": "quia",
"Kanafname": "velit",
"Kanalname": "esse",
"Post1": "totam",
"Post2": "sint",
"Post3": "non",
"EmailName": "jaquelin_goldner@bruen.uk",
"ContactFullName": "Alvah Swift",
"ActiveErpLinks": 85,
"TicketPriorityId": 562,
"SupportLanguageId": 396,
"SupportAssociateId": 1000,
"CategoryName": "VIP Customer",
"PersonNumber": "792737"
}
],
"NoMailing": true,
"Kananame": "ipsum",
"Xstop": false,
"ActiveInterests": 750,
"GroupId": 437,
"ActiveStatusMonitorId": 692,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 504,
"DbiAgentId": 981,
"DbiLastSyncronized": "2014-09-23T14:34:01.7686072+02:00",
"DbiKey": "ratione",
"DbiLastModified": "2004-07-15T14:34:01.7686072+02:00",
"SupportPerson": null,
"Address": null,
"Source": 704,
"ActiveErpLinks": 594,
"BounceEmails": [
"lavina@vonruedenvon.com",
"darwin_trantow@vonruedenhansen.co.uk"
],
"Domains": [
"nemo",
"rem"
],
"UtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "True",
"SuperOffice:2": "Lawson Bergstrom"
},
"ExtraFields": {
"ExtraFields1": "similique",
"ExtraFields2": "a"
},
"CustomFields": {
"CustomFields1": "repellat",
"CustomFields2": "vitae"
}
}
Sample response
HTTP/1.1 200 ContactEntity updated.
Content-Type: application/json; charset=utf-8
{
"ContactId": 558,
"Name": "TechCorp Solutions",
"Department": "Sales",
"OrgNr": "1374228",
"Number1": "1433050",
"Number2": "986517",
"UpdatedDate": "2019-03-27T14:34:01.7686072+01:00",
"CreatedDate": "2013-10-11T14:34:01.7686072+02:00",
"Emails": [
{
"Value": "fuga",
"StrippedValue": "dolore",
"Description": "Synchronised zero defect moratorium",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 591
}
}
},
{
"Value": "fuga",
"StrippedValue": "dolore",
"Description": "Synchronised zero defect moratorium",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 591
}
}
}
],
"Interests": [
{
"Id": 559,
"Name": "Innovation Systems",
"ToolTip": "Sunt enim et et sint sit.",
"Deleted": false,
"Rank": 307,
"Type": "inventore",
"ColorBlock": 131,
"IconHint": "quasi",
"Selected": false,
"LastChanged": "1999-09-23T14:34:01.7686072+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "qui",
"StyleHint": "neque",
"Hidden": true,
"FullName": "Imogene Connelly",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 440
}
}
}
],
"Urls": [
{
"Value": "aut",
"StrippedValue": "info@acmecorp.com",
"Description": "Robust actuating approach",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 190
}
}
},
{
"Value": "aut",
"StrippedValue": "info@acmecorp.com",
"Description": "Robust actuating approach",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 190
}
}
}
],
"Phones": [
{
"Value": "reiciendis",
"StrippedValue": "dignissimos",
"Description": "Sharable grid-enabled help-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 893
}
}
},
{
"Value": "reiciendis",
"StrippedValue": "dignissimos",
"Description": "Sharable grid-enabled help-desk",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 893
}
}
}
],
"Faxes": [
{
"Value": "autem",
"StrippedValue": "laudantium",
"Description": "Re-contextualized systematic implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 835
}
}
},
{
"Value": "autem",
"StrippedValue": "laudantium",
"Description": "Re-contextualized systematic implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 835
}
}
}
],
"Description": "Proactive systemic workforce",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "dolores",
"PersonId": 351,
"Mrmrs": "quae",
"Firstname": "Alek",
"Lastname": "Renner",
"MiddleName": "Batz-Hammes",
"Title": "voluptas",
"Description": "Profound dedicated paradigm",
"Email": "reba_gulgowski@hermanwhite.us",
"FullName": "Adelia Zulauf",
"DirectPhone": "026-641-6381",
"FormalName": "Fadel Group",
"CountryId": 118,
"ContactId": 190,
"ContactName": "Kihn Inc and Sons",
"Retired": 581,
"Rank": 943,
"ActiveInterests": 435,
"ContactDepartment": "integrate integrated supply-chains",
"ContactCountryId": 88,
"ContactOrgNr": "483509",
"FaxPhone": "(807)453-8029",
"MobilePhone": "(645)889-8841 x395",
"ContactPhone": "(887)134-2129",
"AssociateName": "Prohaska-Batz",
"AssociateId": 197,
"UsePersonAddress": false,
"ContactFax": "voluptatibus",
"Kanafname": "quia",
"Kanalname": "ipsa",
"Post1": "nam",
"Post2": "impedit",
"Post3": "amet",
"EmailName": "burnice@hahnhauck.biz",
"ContactFullName": "Miss Nestor Kautzer",
"ActiveErpLinks": 235,
"TicketPriorityId": 373,
"SupportLanguageId": 7,
"SupportAssociateId": 190,
"CategoryName": "VIP Customer",
"PersonNumber": "1078508",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 279
}
}
}
],
"NoMailing": false,
"Kananame": "et",
"Xstop": false,
"ActiveInterests": 672,
"GroupId": 449,
"ActiveStatusMonitorId": 789,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 801,
"DbiAgentId": 167,
"DbiLastSyncronized": "2016-10-16T14:34:01.7844179+02:00",
"DbiKey": "reiciendis",
"DbiLastModified": "2020-03-13T14:34:01.7844179+01:00",
"SupportPerson": null,
"Address": null,
"Source": 1,
"ActiveErpLinks": 174,
"BounceEmails": [
"michaela@maggiobode.name",
"neha@veum.co.uk"
],
"Domains": [
"aut",
"sint"
],
"UtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Prof. Elliot Marquardt DDS",
"SuperOffice:2": "Clifton Ziemann"
},
"ExtraFields": {
"ExtraFields1": "enim",
"ExtraFields2": "ducimus"
},
"CustomFields": {
"CustomFields1": "necessitatibus",
"CustomFields2": "et"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 680
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}